/// <reference types="typescript" />
import * as ts from 'typescript';
import { ParsedConfiguration } from '@angular/compiler-cli';
import { Program } from '@angular/compiler-cli/src/transformers/api';
import { AsyncLoop } from '../../utils/async-loop';
import { AngularCompilerHost } from './host';
export declare class BuildLoop extends AsyncLoop<void> {
    private readonly host;
    private readonly config;
    private readonly transformers;
    entryFile: string | null;
    private readonly resources;
    private entryModule;
    private program;
    private firstRun;
    private shouldEmit;
    constructor(host: AngularCompilerHost, config: ParsedConfiguration, transformers: Array<ts.TransformerFactory<ts.SourceFile>>);
    getProgram(): Program | undefined;
    getResources(file: string): string[];
    private createProgramIfNeeded();
    private compile();
    private updateResources(program);
}
