import { CompileResult } from '../../interfaces';
import { AngularCompilerHost } from './host';
import { BuildLoop } from './build-loop';
export declare class AngularCompiler {
    readonly host: AngularCompilerHost;
    readonly loop: BuildLoop;
    private readonly config;
    private readonly transformers;
    private entryFile;
    constructor(project: string, compileResource: (file: string) => Promise<string>);
    /**
     * Triggers a TypeScript compilation if needed and returns a compiled file
     * @param path a absolute path to a TypeScript source file to compile
     */
    compile(path: string): Promise<CompileResult<string[]>>;
}
