"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = require("path");
function parseNgModule(path) {
    return `${path.replace(/#[^]*$/, '').replace(/\.ts$/, '')}.ngfactory`;
}
function generateRouteLoader(main, program) {
    const routes = program.listLazyRoutes();
    const mainDir = path_1.dirname(main);
    return `
var __old_systemjs__ = typeof System !== 'undefined' && System

window.System = {
	import(module) {
		${routes.map(route => `if(module === '${parseNgModule(route.route)}') {
				return import('${path_1.relative(mainDir, parseNgModule(route.referencedModule.filePath))}')
			}`).join('\n')}

		if(__old_systemjs__) {
			return __old_systemjs__.import(module)
		}

		throw new Error('Cannot find module "' + module + '"')
	}
}
`;
}
exports.generateRouteLoader = generateRouteLoader;
//# sourceMappingURL=route.js.map