/// <reference types="typescript" />
import * as ts from 'typescript';
export interface ResourcesMap {
    [path: string]: string;
}
export declare function replaceResources(shouldTransform: (fileName: string) => boolean): ts.TransformerFactory<ts.SourceFile>;
export interface SourceFileTemplateResource {
    type: 'template';
    path: string;
    node: ts.PropertyAssignment;
}
export interface SourceFileStyleResource {
    type: 'style';
    path: string[];
    node: ts.PropertyAssignment;
}
export declare type SourceFileResource = SourceFileTemplateResource | SourceFileStyleResource;
export declare function findResources(sourceFile: ts.SourceFile): SourceFileResource[];
