import { ServerRequest, ServerResponse } from '../../interfaces';
export declare type Keys<T, U> = (keyof T) & (keyof U);
export declare type Client<RQ, RS, K extends Keys<RQ, RS> = Keys<RQ, RS>> = {
    [P in K]: (data: RQ[P]) => Promise<RS[P]>;
};
export declare const IPCClient: Client<ServerRequest, ServerResponse, "typeCheck" | "compile" | "readVirtualFile" | "invalidate" | "processResource">;
