"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const exports_1 = require("parcel-plugin-typescript/exports");
const rp = require("request-promise");
function request(name, endpoint, data) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        const response = yield rp({
            uri: `http://unix:${exports_1.getSocketPath(name)}:/${endpoint}`,
            method: 'POST',
            body: { data },
            json: true
        });
        if (response.error) {
            throw new Error(response.error);
        }
        return response.result;
    });
}
function makeClient(name, keys) {
    const object = {};
    keys.forEach(key => object[key] = data => request(name, key, data));
    return object;
}
// TODO: use type introspection
exports.IPCClient = makeClient('angular', [
    'compile', 'typeCheck', 'processResource', 'readVirtualFile'
]);
//# sourceMappingURL=client.js.map