import { Server, Worker } from 'parcel-plugin-typescript/exports';
import { CompileRequest, CompileResult, ServerRequest, ServerResponse, WorkerRequest, WorkerResponse } from '../../interfaces';
export declare class AngularWorker extends Worker<WorkerRequest, WorkerResponse> {
    readonly resources: Map<string, string[]>;
    private readonly bundler;
    constructor(bundler: any);
    getFactories(file: string): Promise<string[]>;
    compile(data: CompileRequest): Promise<CompileResult>;
    typeCheck(data: CompileRequest): Promise<void>;
    readVirtualFile(file: string): Promise<string | null>;
    processResource(file: string): Promise<string>;
    invalidate(files: string[]): Promise<void>;
}
export declare class AngularServer extends Server<ServerRequest, ServerResponse> {
    private readonly worker;
    constructor(bundler: any);
    close(): void;
    private watch(bundler);
}
