"use strict";
const tslib_1 = require("tslib");
const exports_1 = require("parcel-plugin-typescript/exports");
const client_1 = require("../../backend/worker/client");
const collect_dependencies_1 = require("../utils/collect-dependencies");
module.exports = class AngularAOTTSAsset extends exports_1.JSAsset {
    constructor(name, pkg, options) {
        super(name, pkg, options);
        this.resources = null;
        this.config = exports_1.loadConfiguration(name);
    }
    mightHaveDependencies() {
        return true;
    }
    collectDependencies() {
        super.collectDependencies();
        collect_dependencies_1.collectDependencies(this, this.resources);
    }
    parse() {
        const _super = name => super[name];
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            const { path: tsConfig } = yield this.config;
            const result = yield client_1.IPCClient.compile({ tsConfig, file: this.name });
            this.resources = result.resources;
            this.contents = result.sources.js;
            // Parse result as ast format through babylon
            return _super("parse").call(this, this.contents);
        });
    }
};
//# sourceMappingURL=aot.js.map