import { Configuration, Transpiler } from 'parcel-plugin-typescript/exports';
import { Resources } from '../../interfaces';
declare global  {
    interface PreProcessor {
        findExpr: RegExp;
        replaceExpr: RegExp;
        transform: (path: string) => Promise<string>;
    }
}
declare const _default: {
    new (name: string, pkg: string, options: any): {
        readonly config: Promise<Configuration>;
        readonly transpiler: Promise<Transpiler>;
        readonly resources: Resources;
        readonly templatePreProcessor: PreProcessor;
        readonly stylePreProcessor: PreProcessor;
        parse(code: string): Promise<any>;
        collectDependencies(): void;
        preProcessResources(code: string, ...preProcessors: PreProcessor[]): Promise<string>;
        name: string;
        contents?: string | undefined;
        options?: any;
        package?: any;
        dependencies: Map<string, string>;
        depAssets: Map<string, any>;
        isES6Module: boolean;
        parentBundle: any;
        load(): Promise<string>;
        addURLDependency(url: string, from?: string | undefined, opts?: {} | undefined): string;
        addDependency(url: string, opts: {}): string;
    };
};
export = _default;
