"use strict";
const tslib_1 = require("tslib");
const path_1 = require("path");
const exports_1 = require("parcel-plugin-typescript/exports");
const resolve = require("resolve");
const client_1 = require("../../backend/worker/client");
let ClosureAsset = null;
module.exports = class VirtualAsset extends exports_1.JSAsset {
    load() {
        const _super = name => super[name];
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            if (/\.ng(factory|style)\.js$/.test(this.name)) {
                const file = yield client_1.IPCClient.readVirtualFile(this.name);
                if (file) {
                    return file;
                }
            }
            return _super("load").call(this);
        });
    }
    collectDependencies() {
        if (this.options.__minifyUsingClosure) {
            try {
                if (!ClosureAsset) {
                    const assetPath = resolve.sync('parcel-plugin-closure/build/javascript/parcel/asset', {
                        basedir: path_1.dirname(this.name)
                    });
                    ClosureAsset = require(assetPath);
                }
                ClosureAsset.prototype.collectDependencies.call(this);
            }
            catch (err) {
                // Keep ES6 imports/exports to improve Closure's tree-shaking
                this.isES6Module = false;
                // Disable Uglify, for performances and to keep types annotations
                this.options.minify = false;
            }
        }
        else {
            super.collectDependencies();
        }
    }
};
//# sourceMappingURL=virtual.js.map