"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = require("path");
function collectDependencies(asset, resources) {
    if (asset.options.__minifyUsingClosure) {
        // Keep ES6 imports/exports to improve Closure's tree-shaking
        asset.isES6Module = false;
        // Disable Uglify, for performances and to keep types annotations
        asset.options.minify = false;
    }
    if (!resources) {
        return;
    }
    const dir = path_1.dirname(asset.name);
    resources.external.forEach(resource => {
        let path = path_1.relative(dir, resource);
        if (!/^\.\//.test(path)) {
            path = `./${path}`;
        }
        asset.addDependency(path, {});
    });
    resources.bundled.forEach(resource => asset.addDependency(resource, { includedInParent: true }));
}
exports.collectDependencies = collectDependencies;
//# sourceMappingURL=collect-dependencies.js.map