"use strict";
const worker_1 = require("./backend/worker");
const patch_1 = require("./frontend/patch");
const environment_1 = require("./utils/environment");
module.exports = (bundler) => {
    const { watch } = bundler.options;
    const config = environment_1.getPluginConfig();
    let tsAsset = null;
    if ((watch && config.watch === 'aot') || (!watch && config.build === 'aot')) {
        // Workaround for the resolving/cache issues with Angular generated files
        patch_1.injectAngularSupport(bundler);
        bundler.options.__closureKeepJSAsset = true;
        // We register .js files for the generated ngfactory/ngstyles files
        bundler.addAssetType('js', require.resolve('./frontend/assets/virtual'));
        tsAsset = require.resolve('./frontend/assets/aot');
    }
    else {
        tsAsset = require.resolve('./frontend/assets/jit');
    }
    // process.send is only defined on the main process
    if (!process.send) {
        const server = new worker_1.AngularServer(bundler);
        if (!watch) {
            bundler.on('buildEnd', () => server.close());
        }
    }
    bundler.addAssetType('ts', tsAsset);
    bundler.addAssetType('tsx', tsAsset);
    process.env['PARCEL_PLUGIN_TYPESCRIPT_DISABLE'] = 'true';
};
//# sourceMappingURL=index.js.map