"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = require("fs");
const commentsJson = require("comment-json");
const findUp = require("find-up");
const defaultConfig = {
    watch: 'jit',
    build: 'aot'
};
function getPluginConfig() {
    const path = findUp.sync('tsconfig.json');
    if (!path) {
        return defaultConfig;
    }
    try {
        const { build = defaultConfig.build, watch = defaultConfig.watch } = commentsJson.parse(fs_1.readFileSync(path, { encoding: 'utf-8' })).parcelAngularOptions || {};
        if (build !== 'aot' && build !== 'jit') {
            throw new Error('[ParcelTypeScriptPlugin] parcelTsPluginOptions.angular.build should be a "jit" or "aot"');
        }
        if (watch !== 'aot' && watch !== 'jit') {
            throw new Error('[ParcelTypeScriptPlugin] parcelTsPluginOptions.angular.watch should be a "jit" or "aot"');
        }
        return { build, watch };
    }
    catch (_) {
        return defaultConfig;
    }
}
exports.getPluginConfig = getPluginConfig;
//# sourceMappingURL=environment.js.map